Error Java on Debian

Hello,

I received my Arduino Uno. I am using Debian 9 stable and not able to use the arduino soft because of this error :

jre@Debian:~$ sudo arduino
[sudo] Mot de passe de jre : 
Exception in thread "main" java.lang.ExceptionInInitializerError
	at processing.app.Preferences.save(Preferences.java:735)
	at processing.app.Preferences.init(Preferences.java:249)
	at processing.app.Base.main(Base.java:117)
Caused by: java.lang.NumberFormatException: For input string: "9-D"
	at java.base/jdk.internal.math.FloatingDecimal.readJavaFormatString(FloatingDecimal.java:2054)
	at java.base/jdk.internal.math.FloatingDecimal.parseFloat(FloatingDecimal.java:122)
	at java.base/java.lang.Float.parseFloat(Float.java:455)
	at java.base/java.lang.Float.<init>(Float.java:554)
	at processing.core.PApplet.<clinit>(Unknown Source)
	... 3 more

I already tried to follow some instructions but it doesn’t help me:

1 : Looks like the IDE did not get installed properly. Install from the “Download” tab above. Before you do that, be sure to rename any existing “Arduino15” directory: /home/(username)/.arduino15 (a.k.a. ~/.arduino15)

2 :
https://blog.michalszalkowski.com/arduino/arduino-exception-in-thread-main-java-lang-exceptionininitializererror/

Thank you for your help.

Solved.

I removed the Arduino IDE thati installed from Debian repository and I installed the package from the official website.
It works now.

Thanks for sharing your solution. Due to an issue with the licensing documentation, the package managers tend to have a very outdated version of the Arduino IDE. Even the ones that are not outdated have been modified in unknown ways by people not affiliated with Arduino. So it's best to always download the official Arduino IDE from arduino.cc.